<?php
/*
Plugin Name: cl_conflit
Version: 1.0.0
Description: gestion des conflits entre jQuery et les autres librairies
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=474
Author: cljosse
Author URI:http://cljosse.free.fr
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
if (!defined('CONFLIT_PATH')) 
define(  'CONFLIT_PATH',   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/' );

include_once(CONFLIT_PATH.'conflit.inc.php');
global $cl_version,$cl_plugin ;
//===================================================================
	$path = CONFLIT_PATH; 
          $plg_data = implode( '', file($path.'main.inc.php') );
          if ( preg_match("|Plugin Name: (.*)|", $plg_data, $val) )
          {
            $plugin['name'] = trim( $val[1] );
          }
          if (preg_match("|Version: (.*)|", $plg_data, $val))
          {
            $plugin['version'] = trim($val[1]);
          }
          if ( preg_match("|Plugin URI: (.*)|", $plg_data, $val) )
          {
            $plugin['uri'] = trim($val[1]);
          }
          if ($desc = load_language('description.txt', $path.'/', array('return' => true)))
          {
            $plugin['description'] = trim($desc);
          }
          elseif ( preg_match("|Description: (.*)|", $plg_data, $val) )
          {
            $plugin['description'] = trim($val[1]);
          }
          if ( preg_match("|Author: (.*)|", $plg_data, $val) )
          {
            $plugin['author'] = trim($val[1]);
          }
          if ( preg_match("|Author URI: (.*)|", $plg_data, $val) )
          {
            $plugin['author uri'] = trim($val[1]);
          }
          if (!empty($plugin['uri']) and strpos($plugin['uri'] , 'extension_view.php?eid='))
          {
            list( , $extension) = explode('extension_view.php?eid=', $plugin['uri']);
            if (is_numeric($extension)) $plugin['extension'] = $extension;
          }
           
          $plugin = array_map('htmlspecialchars', $plugin);
		  $cl_version = $plugin;
//============================================================================		


$conflit_controler = new conflit_controler();

add_event_handler('loc_after_page_header', array(&$conflit_controler, 'cl_conflit_script'),  EVENT_HANDLER_PRIORITY_NEUTRAL+20 ,  2);
add_event_handler('loc_end_page_tail',array(&$conflit_controler, 'cl_conflit_script_2'),  EVENT_HANDLER_PRIORITY_NEUTRAL );
add_event_handler('render_element_content',array(&$conflit_controler, 'cl_conflit_script_3'),  EVENT_HANDLER_PRIORITY_NEUTRAL-1,  2  );
 

?>